<%@ page language="java" import="java.util.*" pageEncoding="gbk"%>
<!DOCTYPE html>
<html>
<head lang="en">
	<meta http-equiv="Content-Type" content="text/html; charset=gbk" />
 	<%@include file="../../../frame/assets/header-all.jsp"%>
	<style>
	.form-line .text-content{
		width:120px;
	}
	</style>
</head>
<body class="easyui-layout">
<form id="childform" class="easyui-form" data-options="novalidate:true">
	<input id="xh" type="hidden" />
	<div class="form-line clearfix" >
		<div class="fl">
			<span class="text-content"><em class="must">*</em>led名称：</span>
			<input id="ledmc" class="easyui-textbox" data-options="required:true,validType:'length[0,128]'" missingMessage="led名称必填项" >
		</div>
		<div class="fl">
			<span class="text-content"><em class="must"></em>led编号：</span>
			<input id="ledbh" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="led编号必填项" >
		</div>
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>品牌：</span>
			<input id="pp" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="品牌必填项" >
		</div>
		<div class="fl">
			<span class="text-content"><em class="must"></em>规格型号：</span>
			<input id="ggxh" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="规格型号必填项" >
		</div>
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>区域编号：</span>
			<input id="qybh" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="区域编号必填项" >
		</div>
		<div class="fl">
			<span class="text-content"><em class="must"></em>区域名称：</span>
			<input id="qymc" class="easyui-textbox" data-options="required:false,validType:'length[0,128]'" missingMessage="区域名称必填项" >
		</div>
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>路口号：</span>
			<input id="lkh" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="路口号必填项" >
		</div>
		<div class="fl">
			<span class="text-content"><em class="must"></em>路口名称：</span>
			<input id="lkmc" class="easyui-textbox" data-options="required:false,validType:'length[0,128]'" missingMessage="路口名称必填项" >
		</div>
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>路口相位：</span>
			<input id="lkxw" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="路口相位必填项" >
		</div>
		<div class="fl">
			<span class="text-content"><em class="must"></em>取电方式：</span>
			<input id="qdfs" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="取电方式必填项" >
		</div>
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>生产厂商：</span>
			<input id="sccs" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="生产厂商必填项" >
		</div>
		<div class="fl">
			<span class="text-content"><em class="must"></em>安装单位：</span>
			<input id="azdw" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="安装单位必填项" >
		</div>
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>安装时间：</span>
			<input id="azsj" class="easyui-datebox" missingMessage="安装时间必填项" >
		</div>
		<div class="fl">
			<span class="text-content"><em class="must"></em>所属坐标系：</span>
			<input id="sszbx" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="所属坐标系必填项" >
		</div>
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>经度：</span>
			<input id="jd" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="经度必填项" >
		</div>
		<div class="fl">
			<span class="text-content"><em class="must"></em>维度：</span>
			<input id="wd" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="维度必填项" >
		</div>
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>led简介：</span>
			<input id="xhdjj" class="easyui-textbox" data-options="multiline:true" style="width:300px;height:60px" missingMessage="led简介必填项" >
		</div>
	</div>
	<div class="form-line hidden">

	</div>
</form>
</body>
</html>
<script type="text/javascript">
var winId	= $.getUrlParam("winId");
var records = top.$("#"+winId).panel("options").data;
$(function(){
	//加载下拉选项
	setTimeout(loadValue,500);
});
function loadValue(){
	if(records){
		$("#xh").val(records.xh);
		$("#ledmc").textbox("setValue",records.ledmc);
		$("#ledbh").textbox("setValue",records.ledbh);
		$("#pp").textbox("setValue",records.pp);
		$("#ggxh").textbox("setValue",records.ggxh);
		$("#qybh").textbox("setValue",records.qybh);
		$("#qymc").textbox("setValue",records.qymc);
		$("#lkh").textbox("setValue",records.lkh);
		$("#lkmc").textbox("setValue",records.lkmc);
		$("#lkxw").textbox("setValue",records.lkxw);
		$("#qdfs").textbox("setValue",records.qdfs);
		$("#sccs").textbox("setValue",records.sccs);
		$("#azdw").textbox("setValue",records.azdw);
		$("#azsj").textbox("setValue",records.azsj);
		$("#sszbx").textbox("setValue",records.sszbx);
		$("#jd").textbox("setValue",records.jd);
		$("#wd").textbox("setValue",records.wd);
		$("#xhdjj").textbox("setValue",records.xhdjj);

	}
}
/*
var xx1 = $("#xx1").textbox("getValue");//文本
var xx2 = $("#xx2").combobox("getValue");//下拉
var xx3 = $("#xx3").datetimebox("getValue");//日期
var xx4 = $("#xx4").numberbox("getValue");//数字
$('#xx5').combobox({
	url:'xtclAction!select_Xtcl.do?csdl=xx5&page=1&rows=1000',
	textField:"csmc",
	valueField:"csdm",
	panelWidth:148,
	loadFilter:function(data){
		//data.unshift({"csmc":"选择","csdm":""});
		return data;
	}
});
$("#xx6").textbox("setValue",records.xx6);
$("#xx7").combobox("setValue",records.xx7);
$("#xx8").combobox("setValue",records.xx8);
$("#xx9").datetimebox("setValue",$.getNowTime());
$("#xx10").datetimebox("setValue",$.getTodayStart('00:00:00',-3));//往前推3天  +'00:00:00'
$("#xx11").datetimebox("setValue",$.getTodayEnd());//当天 +'23:59:59'
$("#xx12").datetimebox("setValue",$.getDateNumToStr(records.xx12));
$("#xx13").numberbox("setValue",records.xx13);
*/
</script>
